TERMKEY_GET_FD(3)

NAME
termkey_get_fd - obtain the file descriptor for the terminal

SYNOPSIS
#include <termkey.h>

int termkey_get_fd(TermKey *tk);

Link with -ltermkey.

DESCRIPTION
termkey_get_fd() returns the file descriptor that the termkey(7) instance is using to read bytes from.

RETURN VALUE
termkey_get_fd() returns the current file descriptor, or -1 if no file descriptor is associated with this instance.

SEE ALSO
termkey_new(3), termkey_get_flags(3), termkey(7)